Zum Hauptinhalt springen
GET
/
public
/
v1
/
offsite-ads
/
vendors
/
active
Get Active Vendors
curl --request GET \
  --url https://api.topsort.com/public/v1/offsite-ads/vendors/active \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/offsite-ads/vendors/active"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/offsite-ads/vendors/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "nextPage": "<string>",
  "vendors": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Abfrageparameter

dsp
enum<string>
erforderlich

The DSP to filter vendors by.

Verfügbare Optionen:
google_ads,
meta
Beispiele:

"google_ads"

"meta"

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

limit
integer
Standard:100

The pagination limit.

Erforderlicher Bereich: 0 <= x <= 365

Antwort

Successful Response

hasMore
boolean
erforderlich

Whether there are more active vendors

nextPage
string | null
erforderlich

The next page token

vendors
string[]
erforderlich

The active vendor ids for the DSP